Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class Sspi.SecBuffer

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.Sspi.SecBuffer

Direct Known Subclasses:
  Sspi.SecBuffer.ByReference

Enclosing interface:
  Sspi

    public static class Sspi.SecBuffer

extends com.sun.jna.Structure

The SecBuffer structure describes a buffer allocated by a transport application to pass to a security package.

Nested Class Summary
`static class` | `Sspi.SecBuffer.ByReference` A ByReference SecBuffer.

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByValue`

Field Summary
`com.sun.jna.NativeLong` | `BufferType` Bit flags that indicate the type of buffer.
`com.sun.jna.NativeLong` | `cbBuffer` Specifies the size, in bytes, of the buffer pointed to by the pvBuffer member.
`com.sun.jna.Pointer` | `pvBuffer` A pointer to a buffer.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Sspi.SecBuffer()` Create a new SECBUFFER_EMPTY buffer.
`Sspi.SecBuffer(int type, byte[] token)` Create a SecBuffer of a given type with initial data.
`Sspi.SecBuffer(int type, int size)` Create a SecBuffer of a given type and size.

Method Summary
`byte[]` | `getBytes()` Get buffer bytes.

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cbBuffer

    public com.sun.jna.NativeLong cbBuffer

  Specifies the size, in bytes, of the buffer pointed to by the pvBuffer member.

### BufferType

    public com.sun.jna.NativeLong BufferType

  Bit flags that indicate the type of buffer. Must be one of the values of the SecBufferType enumeration.

### pvBuffer

    public com.sun.jna.Pointer pvBuffer

  A pointer to a buffer.

Constructor Detail

### Sspi.SecBuffer

    public Sspi.SecBuffer()

  Create a new SECBUFFER_EMPTY buffer.

### Sspi.SecBuffer

    public Sspi.SecBuffer(int type,
                          int size)

  Create a SecBuffer of a given type and size.

  Parameters:
    `type` - Buffer type, one of SECBUFFER_EMTPY, etc.
    `size` - Buffer size, eg. MAX_TOKEN_SIZE.

### Sspi.SecBuffer

    public Sspi.SecBuffer(int type,
                          byte[] token)

  Create a SecBuffer of a given type with initial data.

  Parameters:
    `type` - Buffer type, one of SECBUFFER_EMTPY, etc.
    `token` - Existing token.

Method Detail

### getBytes

    public byte[] getBytes()

  Get buffer bytes.

  Returns:
    Raw buffer bytes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD